Problem uninstalling apps after 1.1.3 upgrade

Discussion in 'iPhone Tips, Help and Troubleshooting' started by rh535, Jan 24, 2008.

  1. rh535 macrumors member

    Joined:
    Jun 29, 2007
    #1
    After doing the upgrade to 1.1.3 through Nate True I've run into a problem. I know you have to uninstall apps then reinstall to get them back but i get a error. During the uninstall of Summerboard i get an error saying "Main script execution failed" This only happens on some apps. What should i do?
     
  2. PlayWithTV macrumors regular

    Joined:
    Sep 14, 2007
    #2
    One app that it's doing that on is OpenSSH, the most important app in my opinion. Especially since I need to WinSCP into my touch to modify some files.

    Please someone help.
     
  3. rh535 thread starter macrumors member

    Joined:
    Jun 29, 2007
  4. nicmacc macrumors newbie

    Joined:
    Jan 25, 2008
    #4
    i was reading up on summerboard over at another forum, hopefully this will work for OpenSSH

    use ibrickr to navigate to /var/root/Library/Installer/

    delete the file LocalPackages.plist

    Installer will 'forget' that it has installed any apps and they should appear again in the list of packages you can install...

    install OpenSSH again, check to see if it works...

    if not, now that its been reinstalled, you should be able to successfully uninstall it, and then reinstall again :p

    hope this helps
     
  5. TheYankees1903 macrumors regular

    Joined:
    Jan 23, 2008
    #5
    Had the same problem...

    I had the same problem... I am downgrading and then upgrading again to start from scratch...

    I do however hope the the development community is working on a mathod to fix this.

    Did that trick posted work?

    Thanks so much,
    TheYankees1903 :apple:
     
  6. rh535 thread starter macrumors member

    Joined:
    Jun 29, 2007
    #6
    I've always been able to use OpenSSH but apps that gave me that error now work.:D Thanks... I just wish Summerboard and Customize would work with 1.1.3!:mad:
     
  7. dsgalit macrumors member

    Joined:
    Nov 13, 2007
    #7
    Customize does work with 1.1.3!! For some reason right after the 1.1.3 soft upgrade i tried to install it and couldn't, but after awhile i tried it again and got it to install, don't ask me how cause truthfully, i don't know... I would insert a pic to show you but i have no way of taking a pic of my phone, sorry!!!Summerboard no luck.
     
  8. dsgalit macrumors member

    Joined:
    Nov 13, 2007
    #8
    There is a open SSH fix in installer, i had the same problem after the soft upgrade but after installing the fix i was able to go into winscp. I suggest that you install this fix..:)
     
  9. rh535 thread starter macrumors member

    Joined:
    Jun 29, 2007

Share This Page